@testkeyc

Как подключить скрипт?

Использую owl carousel 2 слайдер в вверстке. Как правильно его подключить к wordpress? Проблема в том, что wordpress использует jq более ранней версии, а для работы более слайдера нужна более новая версия jq.

Вот ссылки на сами скрипты:
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>
  • Вопрос задан
  • 27 просмотров
Решения вопроса 2
Что значит "вп использует jq более ранней версии" ?
Если вы о том, что вп подключает свои Jq, то их можно отключить с помощью
<?php wp_deregister_script( 'jquery' ) ?>
Разместите этот код в header.php перед
<?php wp_head(); ?>
И тогда у вас будет работать только один jquery, который вы подключаете через cdn
Ответ написан
mihdan
@mihdan
WordPress-евангелист, ведущий РНР - разработчик
Смотрите документацию по wp_enqueue_script() и примеры.
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы